import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {ScannerComponent} from "./modules/pdf-scanner/scanner/scanner.component";
import {ScanCompletedComponent} from "./modules/pdf-scanner/scan-completed/scan-completed.component";
import {
  ScanCompletedMethodTwoComponent
} from "./modules/pdf-scanner/scan-completed-method-two/scan-completed.method.two.component";

const routes: Routes = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: 'pdf-scanner'
  },
  {
    path: 'pdf-scanner',
    component: ScannerComponent,
  },
  {
    path: 'scan-completed/:origin/:scanned',
    component: ScanCompletedComponent,
  },
  {
    path: 'scanner-completed/view',
    component: ScanCompletedMethodTwoComponent,
  },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {

}
