import {Component, Input} from '@angular/core';
import {AnimationOptions} from "ngx-lottie";
import {LoaderService} from "../../core/services/loader.service";

@Component({
  selector: 'app-layout',
  templateUrl: './layout.component.html'
})
export class LayoutComponent {
  @Input() options: AnimationOptions;

  constructor(private loader: LoaderService) {
    this.options = {
      path: '/assets/loader/loader.json', // This will be set dynamically
      loop: true,
      autoplay: true,
    };
  }

  get showLoader(): boolean {
    return this.loader.showLoader;
  }
}
