import {ChangeDetectorRef, Component, OnInit} from '@angular/core';
import {ScannerService} from "../scanner.service";
import {ActivatedRoute, Router} from "@angular/router";

@Component({
  selector: 'app-scan-two-completed',
  templateUrl: './scan-completed.method.two.component.html'
})
export class ScanCompletedMethodTwoComponent implements OnInit {

  constructor(private service: ScannerService,
              private route: ActivatedRoute,
              private changeDetector: ChangeDetectorRef,
              private router: Router) {
  }

  get originalUrl(): string {
    return this.service.originalUrl;
  }

  set originalUrl(value: string) {
    this.service.originalUrl = value;
  }

  get scannedUrl(): string {
    return this.service.scannedUrl;
  }

  get showDialog(): boolean {
    return this.service.showDialog;
  }

  set showDialog(value: boolean) {
    this.service.showDialog = value;
  }

  get originalFile(): File | null {
    return this.service.originalFile;
  }

  set originalFile(value: File | null) {
    this.service.originalFile = value;
  }

  get scannedFile(): File | null {
    return this.service.scannedFile;
  }

  set scannedFile(value: File | null) {
    this.service.scannedFile = value;
  }

  startScan() {
    this.router.navigate(['/pdf-scanner'])
  }

  ngOnInit() {
    const originName: string = this.route.snapshot.params['origin']
    const scannedName: string = this.route.snapshot.params['scanned']
    console.log(this.scannedUrl)
    console.log(this.originalUrl)
  }


  openDialog() {
    this.showDialog = true
  }

}
